summaryrefslogtreecommitdiffstats
path: root/xci/xci-deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'xci/xci-deploy.sh')
-rwxr-xr-xxci/xci-deploy.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/xci/xci-deploy.sh b/xci/xci-deploy.sh
index 6a661349..19f2c18a 100755
--- a/xci/xci-deploy.sh
+++ b/xci/xci-deploy.sh
@@ -115,7 +115,13 @@ fi
echo "Info: Starting provisining VM nodes using openstack/bifrost"
echo "-------------------------------------------------------------------------"
cd $XCI_PATH/playbooks
+# NOTE(hwoarang) we need newer ansible to work on the following playbook
+sudo pip uninstall -y ansible || true
+sudo -H pip uninstall -y ansible || true
+sudo pip install ansible==${XCI_ANSIBLE_PIP_VERSION}
ansible-playbook -i inventory provision-vm-nodes.yml
+cd ${OPENSTACK_BIFROST_PATH}
+bash ./scripts/bifrost-provision.sh
echo "-----------------------------------------------------------------------"
echo "Info: VM nodes are provisioned!"
source $OPENSTACK_BIFROST_PATH/env-vars
@@ -130,8 +136,11 @@ echo
# - creates log directory
# - copies flavor files such as playbook, inventory, and var file
#-------------------------------------------------------------------------------
+
echo "Info: Configuring localhost for openstack-ansible"
echo "-----------------------------------------------------------------------"
+# NOTE(hwoarang) we need newer ansible to work on the OSA playbooks
+sudo pip install --force-reinstall ansible==${XCI_ANSIBLE_PIP_VERSION}
cd $XCI_PATH/playbooks
ansible-playbook -i inventory configure-localhost.yml
echo "-----------------------------------------------------------------------"